%bcond_with bootstrap

Name:           felix-parent
Version:        7
Release:        %mkrel 5
Group:		Development/Java
Summary:        Parent POM file for Apache Felix Specs
License:        ASL 2.0
URL:            https://felix.apache.org/
Source0:        https://repo1.maven.org/maven2/org/apache/felix/felix-parent/%{version}/%{name}-%{version}-source-release.tar.gz
BuildArch:      noarch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache:apache:pom:)
%endif

%description
Parent POM file for Apache Felix Specs.

%prep
%setup -q -n felix-parent-%{version}
%mvn_alias : :felix
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin org.codehaus.mojo:ianal-maven-plugin
%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin

# wagon ssh dependency unneeded
%pom_xpath_remove pom:extensions

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE



%changelog
* Mon Jul 25 2022 neoclust <neoclust> 7-5.mga9
+ Revision: 1871019
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 7-4.mga9
+ Revision: 1870238
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 7-3.mga9
+ Revision: 1863478
- SIMLENT: Add group
- Add bootstrap mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 7-1.mga8
+ Revision: 1621551
- Rebase to latest upstream version 7
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 4-6.mga8
+ Revision: 1501380
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 4-5.mga7
+ Revision: 1278229
- Mageia 7 Mass Rebuild

* Thu Sep 28 2017 daviddavid <daviddavid> 4-4.mga7
+ Revision: 1161172
- Update to upstream version 4
- Regenerate build-requires
- Remove maven-javadoc-plugin
- Remove unneeded workaround for MANTRUN-51/MNG-6205 issue

* Wed May 10 2017 neoclust <neoclust> 2.1-11.mga6
+ Revision: 1100122
- Add missing requires

* Wed Mar 02 2016 neoclust <neoclust> 2.1-10.mga6
+ Revision: 982644
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.1-9.mga6
+ Revision: 976234
- First rebuild of the java stack
- sync package felix-parent with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.1-7.mga5
+ Revision: 805651
- Clean rebuild
- Restore
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 2.1-5.mga5
+ Revision: 742313
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 pterjan <pterjan> 2.1-3.mga5
+ Revision: 673488
- Drop broken dependency

* Mon Oct 21 2013 umeabot <umeabot> 2.1-2.mga4
+ Revision: 537305
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 2.1-1.mga4
+ Revision: 486745
- New version

* Sat Mar 23 2013 dmorgan <dmorgan> 1.2.1-9.mga3
+ Revision: 404575
- Rebuild because of missing signatures
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2.1-7.mga1
+ Revision: 92440
- Rebuild after bootstrapping
- imported package felix-parent


* Wed Mar 30 2011 Alexander Kurtakov <akurtako@redhat.com> 1.2.1-6
- Fix faulty compiler plugin settings setting source but not target.

* Sun Mar 13 2011 Mat Booth <fedora@matbooth.co.uk> 1.2.1-5
- Add dep on maven-plugin-jxr.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 27 2010 Mat Booth <fedora@matbooth.co.uk> - 1.2.1-3
- Add legacy depmap from maven2-common-poms for felix packages that still
  specify "felix" instead of "felix-parent"

* Tue Jul 20 2010 Hui Wang <huwang@redhat.com> - 1.2.1-2
- Update summary and description
- Add comment in mvn-jpp

* Fri Jul 16 2010 Hui Wang <huwang@redhat.com> - 1.2.1-1
- Initial version of the package
